> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Quote



## OpenAPI

````yaml /api-reference/openapi.json post /trades/quote/{quoteId}
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /trades/quote/{quoteId}:
    parameters:
      - name: quoteId
        in: path
        required: true
        schema:
          type: string
        example: q123456890
    post:
      tags:
        - Trades
      summary: Accept Quote
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          description: Accept Quote
          content:
            application/json:
              schema:
                type: object
              example:
                message: Ok
                data:
                  id: 024a29e9-ab89-46c5-bac1-64ba292946da
                  createdAt: '2026-03-27T10:25:59.722Z'
                  updatedAt: '2026-03-27T10:25:59.722Z'
                  active: true
                  reference: c1774607154115
                  rate: 1426
                  side: SELL
                  amount: 10
                  amountReceived: 14260
                  sourceDollarRate: 0.99
                  targetDollarRate: 0.0007
                  userId: 51xxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
                  pairId: 3bd8ace6-dc63-49a8-b91a-46131dfdf0f2
                  dollarValue: 9.9
                  pair:
                    id: 3bd8ace6-dc63-49a8-b91a-46131dfdf0f2
                    createdAt: '2021-11-22T10:16:51.874Z'
                    updatedAt: '2026-03-21T16:16:34.609Z'
                    active: true
                    sourceId: 55456608-8c9f-499d-99b4-15ceafef3212
                    targetId: de3423cb-e81c-464f-8bb4-d9da15a37e8b
                    isSellable: true
                    isBuyable: true
                    isLeverage: false
                    enableP2PTrading: true
                    isLimitOrderEnabled: true
                    source:
                      id: 55456608-8c9f-499d-99b4-15ceafef3212
                      createdAt: '2021-11-22T10:16:50.727Z'
                      updatedAt: '2024-03-03T08:16:24.743Z'
                      active: true
                      name: Tether
                      code: USDT
                    target:
                      id: de3423cb-e81c-464f-8bb4-d9da15a37e8b
                      createdAt: '2021-11-22T10:16:50.862Z'
                      updatedAt: '2024-10-26T13:40:22.599Z'
                      active: true
                      name: Naira
                      code: NGNX
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````